export R_LIBS=~/R:$R_LIBS # may need this. May need to load python also

Phen=Phen1

mkdir -p temp
mkdir -p $Phen
mkdir -p output

# Format the genotype files

python ../../jlimR/bin/CutBimbam.py CohA.chr1.bimbam.gz CohA.chr1.map.gz peaks.chr1.txt CohA.samples temp/CohA.1 , , 1
python ../../jlimR/bin/CutBimbam.py CohB.chr1.bimbam.gz CohB.chr1.map.gz peaks.chr1.txt CohB.samples temp/CohB.1 , , 1
python ../../jlimR/bin/CutBimbam.py CohC.chr1.bimbam.gz CohC.chr1.map.gz peaks.chr1.txt CohC.samples temp/CohC.1 , , 1

#Prepare first locus

key=1.1000000.1200000
mkdir $Phen/locus.$key

python ../../jlimR/bin/Makedosage.py 3 1 $Phen/locus.$key/CohsABC.dosage.gz temp/CohA.$key.data.gz temp/CohA.$key.snps.gz temp/CohB.$key.data.gz temp/CohB.$key.snps.gz temp/CohC.$key.data.gz temp/CohC.$key.snps.gz

python ../../jlimR/bin/RunRegressions.py temp/CohA.$key.data.gz temp/CohA.$key.snps.gz CohA.samples CohA.phenotypes CohA.covariates temp/CohA.$key.$Phen 2,3 1000 1 3
python ../../jlimR/bin/RunRegressions.py temp/CohB.$key.data.gz temp/CohB.$key.snps.gz CohB.samples CohB.phenotypes CohB.covariates temp/CohB.$key.$Phen 2,3 1000 1 3
python ../../jlimR/bin/RunRegressions.py temp/CohC.$key.data.gz temp/CohC.$key.snps.gz CohC.samples CohC.phenotypes CohC.covariates temp/CohC.$key.$Phen 2,3 1000 1 3

python ../../jlimR/bin/METAmergecohorts.py 3 temp/CohA.$key.$Phen.assoc.linear.gz $Phen/locus.$key/CohsABC.$key.$Phen temp/CohA.$key.$Phen.betas.mperm.dump.all.gz temp/CohA.$key.$Phen.vars.mperm.dump.all.gz temp/CohB.$key.$Phen.betas.mperm.dump.all.gz temp/CohB.$key.$Phen.vars.mperm.dump.all.gz temp/CohC.$key.$Phen.betas.mperm.dump.all.gz temp/CohC.$key.$Phen.vars.mperm.dump.all.gz

#Prepare second locus

key=1.1200000.1400000
mkdir $Phen/locus.$key

python ../../jlimR/bin/Makedosage.py 3 1 $Phen/locus.$key/CohsABC.dosage.gz temp/CohA.$key.data.gz temp/CohA.$key.snps.gz temp/CohB.$key.data.gz temp/CohB.$key.snps.gz temp/CohC.$key.data.gz temp/CohC.$key.snps.gz

python ../../jlimR/bin/RunRegressions.py temp/CohA.$key.data.gz temp/CohA.$key.snps.gz CohA.samples CohA.phenotypes CohA.covariates temp/CohA.$key.$Phen 1,2 1000 1 3
python ../../jlimR/bin/RunRegressions.py temp/CohB.$key.data.gz temp/CohB.$key.snps.gz CohB.samples CohB.phenotypes CohB.covariates temp/CohB.$key.$Phen 1,2 1000 1 3
python ../../jlimR/bin/RunRegressions.py temp/CohC.$key.data.gz temp/CohC.$key.snps.gz CohC.samples CohC.phenotypes CohC.covariates temp/CohC.$key.$Phen 1,2 1000 1 3


python ../../jlimR/bin/METAmergecohorts.py 3 temp/CohA.$key.$Phen.assoc.linear.gz $Phen/locus.$key/CohsABC.$key.$Phen temp/CohA.$key.$Phen.betas.mperm.dump.all.gz temp/CohA.$key.$Phen.vars.mperm.dump.all.gz temp/CohB.$key.$Phen.betas.mperm.dump.all.gz temp/CohB.$key.$Phen.vars.mperm.dump.all.gz temp/CohC.$key.$Phen.betas.mperm.dump.all.gz temp/CohC.$key.$Phen.vars.mperm.dump.all.gz

#Running JLIM

../../jlimR/bin/jlim_gencfg.sh --tr1-name Height --tr1-dir Height --tr2-dir $Phen   --idxSNP-file   Height/Height-indexSNP.tsv  --refld-dir ld0 --out output/Height.$Phen.cfg.tsv --tr2-genotype-filetype dosage

../../jlimR/bin/run_jlim.sh output/Height.$Phen.cfg.tsv 0.8 output/Height.$Phen.FIN.tsv > output/Height.$Phen.LOG.tsv
